# Khaotic Engine Reborn: master_shader Class Reference

Loading...
Searching...
No Matches
master_shader Class Referenceabstract

## Public Member Functions

| master_shader (const master_shader &other)=delete
virtual bool | initialize (ID3D11Device *device, HWND hwnd)=0

## Protected Attributes

wchar_t | vs_filename_ [128]
wchar_t | ps_filename_ [128]
wchar_t const * | vs_name_ = L""
wchar_t const * | ps_name_ = L""

## Detailed Description

Definition at line 7 of file master_shader.h.

## Constructor & Destructor Documentation

## master_shader()

master_shader::master_shader | ( |  | ) |

Definition at line 4 of file master_shader.cpp.

{
// Initialize shader filenames
wcscpy_s(vs_filename_, 128, vs_name_);
wcscpy_s(ps_filename_, 128, ps_name_);
}

## ~master_shader()

master_shader::~master_shader | ( |  | ) |

virtual

Definition at line 12 of file master_shader.cpp.

{
// Destructor implementation
}

## Member Function Documentation

## initialize()

bool master_shader::initialize | ( | ID3D11Device * | device,
|  | HWND | hwnd )

pure virtual

Definition at line 17 of file master_shader.cpp.

{
Logger::Get().Log("Initializing master_shader", __FILE__, __LINE__, Logger::LogLevel::Initialize);
bool success = false;
return true;
}

## Member Data Documentation

## ps_filename_

wchar_t master_shader::ps_filename_[128]

protected

Definition at line 19 of file master_shader.h.

## ps_name_

wchar_t const* master_shader::ps_name_ = L""

protected

Definition at line 22 of file master_shader.h.

## vs_filename_

wchar_t master_shader::vs_filename_[128]

protected

Definition at line 19 of file master_shader.h.

## vs_name_

wchar_t const* master_shader::vs_name_ = L""

protected

Definition at line 21 of file master_shader.h.

The documentation for this class was generated from the following files:

- enginecustom/src/inc/shader/master_shader.h
- enginecustom/src/src/shader/master_shader.cpp